Bug 194892 - [maintainer-update] games/fgrun 3.2.0
Summary: [maintainer-update] games/fgrun 3.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-07 22:34 UTC by buganini
Modified: 2014-11-09 20:34 UTC (History)
1 user (show)

See Also:


Attachments
fgrun-3.2.0.patch.txt (1.11 KB, text/plain)
2014-11-07 22:34 UTC, buganini
no flags Details
patch-fgrun.txt (1.48 KB, patch)
2014-11-09 17:39 UTC, Ganael LAPLANCHE
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description buganini 2014-11-07 22:34:09 UTC
Created attachment 149170 [details]
fgrun-3.2.0.patch.txt

Update games/fgrun to 3.2.0
Comment 1 Ganael LAPLANCHE freebsd_committer 2014-11-09 17:38:02 UTC
Hi Buganini,

Thanks for your patch.

Unfortunately, fgrun 3.2.0 does not build with base Gcc (version 4.2.1) on 8.4-RELEASE and 9.3-RELEASE : it needs a more recent version of the compiler, see e.g. :

http://box.martymac.org/FreeBSD-Packages/bulk/FBSD84amd64-default/2014-11-08_21h30m55s/logs/errors/fgrun-3.2.0.log

It builds fine on 10-RELEASE.

I've updated your patch to require gcc >= 4.6 when building with gcc. With that patch, fgrun builds fine on 8.4-RELEASE, 9.3-RELEASE and 10.0-RELEASE, see :

http://box.martymac.org/FreeBSD-Packages/bulk/latest-per-pkg/fgrun/3.2.0/

Do you agree with that version of the patch ? If so, I'll commit it ASAP.

Thanks for your help :)

Best regards,

Ganaël.
Comment 2 Ganael LAPLANCHE freebsd_committer 2014-11-09 17:39:33 UTC
Created attachment 149225 [details]
patch-fgrun.txt
Comment 3 buganini 2014-11-09 20:23:05 UTC
Sure, thank you!
Comment 4 commit-hook freebsd_committer 2014-11-09 20:32:27 UTC
A commit references this bug:

Author: martymac
Date: Sun Nov  9 20:31:49 UTC 2014
New revision: 372373
URL: https://svnweb.freebsd.org/changeset/ports/372373

Log:
  Update to 3.2.0

  PR:		194892
  Submitted by:	buganini@gmail.com (maintainer)

Changes:
  head/games/fgrun/Makefile
  head/games/fgrun/distinfo
Comment 5 Ganael LAPLANCHE freebsd_committer 2014-11-09 20:34:33 UTC
Committed, thanks !